Package org.python.modules._functools

# Class _functools

java.lang.Object
org.python.modules._functools._functools

All Implemented Interfaces:
  `ClassDictInit`

public class _functools extends Object implements ClassDictInit
The Python _functools module.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PyString`
`__doc__`
`static PyString`
`__doc__reduce`

## Constructor Summary

Constructors
Constructor
Description
`_functools()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`classDictInit(PyObject dict)`
`static PyObject`
`reduce(PyObject f, PyObject l)`
`static PyObject`
`reduce(PyObject f, PyObject l, PyObject z)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __doc__

public static final PyString __doc__

### __doc__reduce

public static PyString __doc__reduce

## Constructor Details

### _functools

public _functools()

## Method Details

### classDictInit

public static void classDictInit(PyObject dict)

### reduce

public static PyObject reduce(PyObject f, PyObject l, PyObject z)

### reduce

public static PyObject reduce(PyObject f, PyObject l)